%define upstream_name    Devel-Backtrace
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Object-oriented backtrace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(String::Escape)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This class is a nice way to access all the information caller provides on a
given level.  It is used by L<Devel::Backtrace>, which generates an array of
all trace points.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-11.mga8
+ Revision: 1493960
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-10.mga7
+ Revision: 1267206
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-9.mga6
+ Revision: 1025488
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.120.0-8.mga6
+ Revision: 937534
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.120.0-7.mga6
+ Revision: 937104
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 741651
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.120.0-5.mga5
+ Revision: 727597
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 684300
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 510808
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 365675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 28472
- mageia rebuild
- imported package perl-Devel-Backtrace

